Skip to main content
GET
/
users
/
{user_guid}
/
accounts
/
{account_guid}
/
date_range_category_totals
List category totals by account
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/accounts/{account_guid}/date_range_category_totals \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/accounts/{account_guid}/date_range_category_totals"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/accounts/{account_guid}/date_range_category_totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "date_range_category_totals": [
    {
      "category_guid": "CAT-bf9f3294-4c40-1677-d269-54fbc189faf3",
      "end_date": 1466056800,
      "start_date": 1459490400,
      "total": 155.72,
      "user_guid": "USR-d8843e3e-7153-ce05-db54-fb3241c15d94"
    }
  ]
}

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

account_guid
string
required

The unique id for an account.

Query Parameters

from_date
string
required

Filter transactions from this date. This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not provided.

to_date
string
required

Filter transactions to this date (at midnight). This only supports ISO 8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward from the day the request is made to capture pending transactions.

Response

200 - application/json

OK

date_range_category_totals
object[]